> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-22654f5b-feature-card-builder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> List CometChat moderation flag reasons with REST API to retrieve review categories configured for flagged messages.

# List Reasons



## OpenAPI

````yaml get /moderation/reasons
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /moderation/reasons:
    get:
      tags:
        - Moderation
      summary: List Reasons
      description: Retrieves a list of moderation reasons configured for the app.
      operationId: chat-api-list-reasons
      responses:
        '200':
          description: List Reasons
          content:
            application/json:
              schema:
                type: object
              example:
                data:
                  - id: unfiltered-content
                    name: RawContent
                    description: Content delivered without moderation or filtering.
                    createdAt: '1760449410'
                    updatedAt: '1760449410'
                  - id: spam
                    name: Spam / Unwanted Content
                    description: Repeated, promotional, or irrelevant content
                    createdAt: '1760443648'
                    updatedAt: '1760443648'
                    default: true
                  - id: sexual
                    name: Sexual Content
                    createdAt: '1758000762'
                    updatedAt: '1758000762'
                    description: Explicit or inappropriate content
                  - id: harassment
                    name: Harassment / Bullying
                    createdAt: '1758000761'
                    updatedAt: '1758000761'
                    description: Insulting or threatening behavior
                meta:
                  current:
                    limit: 10
                    count: 4
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````